Welcome to the new WEEX API documentation. Looking for the previous version?Switch to the legacy docs
WEEX
WEEX Spot REST API

Tax

Endpoint

Spot Transaction Records (USER_DATA)

Spot Transaction Records (USER_DATA).

POST
/api/v3/tax/income
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight5

Spot Transaction Records (USER_DATA) › query Parameters

coin
​string

Filter by asset name (exact match). Example: USDT.

bizType
​string

Filter by business type. Supported values: deposit, withdraw, trade_out, etc.

month
​string

Query month in YYYY-mm format, e.g., 2026-01. Defaults to the current month if not provided.

limit
​integer

Number of records per page. Default: 10. Maximum: 200.

page
​integer

Page number (starting from 1). Default: 1.

Spot Transaction Records (USER_DATA) › Responses

200

Successful response

​object[]
billId
​string

Bill identifier.

coinId
​integer

Asset ID.

coinName
​string

Asset symbol.

bizType
​string

Business type.

fillSize
​string

Filled quantity (if applicable).

fillValue
​string

Filled value (if applicable).

deltaAmount
​string

Amount change.

afterAmount
​string

Balance after the change.

fees
​string

Fees charged.

cTime
​string

Creation time (ms).